function reduced = ReduceRedundancy( cell_array )

if ~isempty(strfind(class(cell_array),'int'))
    int_max = max( cell_array );
    if int_max < 128
        dtype = @int8;
    elseif int_max < 255 && min(cell_array) >= 0
        dtype = @uint8;
    else
        dtype = @int16;
    end
elseif strcmp(class(cell_array),'double')
    % check whether only contains NaN
    if sum(isnan( cell_array )) == length( cell_array )
        cell_array = []; 
    end
    if rem( cell_array, 1 ) == 0
        if max( cell_array ) < 128
            dtype = @int8;
        elseif max( cell_array ) < 255 && min(cell_array) >= 0
            dtype = @uint8;
        else
            dtype = @int16;
        end
    else
        dtype = @double;
    end
elseif strcmp(class(cell_array),'char')
    dtype = @char;
elseif strcmp(class(cell_array),'cell')
    dtype = @char; %assume they are all the same length
    for i=1:length(cell_array)-1 %test if they are all the same length
        if length(cell_array{i,1}) ~= length(cell_array{i+1})
            dtype = @cell; %if not leave cell as cell
            break
        end
    end
end

if length(unique(cell_array)) == 1
    if strcmp(class(cell_array),'cell')
        reduced = dtype(cell_array{1});
    else
        reduced = dtype(cell_array(1));
    end
else
    reduced = dtype(cell_array);
end