% this script generates a scatter plot of SNR90 vs Thresh_Donimant_Cue.
% Threshold of Dominant Cue = Peak - 3dB

clear all; clc; close all;

%-------------------SNR90----Thresh_Dominant_Cue
SNR90_vs_Thresh_Cue = [ ...
        -2,     -1;      % pa_m118, t=20
        8,      10;      % pa_m114, t=23.5
        -1,   2;     % pa_m104, t=29.4
        -2,   0;     % pa_f103, t=25
        2,   5;      % pa_f106, t=25
        8,   8;     % pa_f109, t=17.18
        13,    13;     % ba_m118, t=18.2
        13,   10;     % ba_m107, t=26.4
        12,   10;     % ba_m111, t=27.4
        NaN,    NaN;     % ba_f119
        NaN,   NaN;     % ba_f105, t=27.88
        -2,   -1;      % ba_f101, t=27.89
        -8,    -10;     % ta_m115, t=27.65
        -1,    0;      % ta_m112, t=27.64
        -1,    -1;      % ta_m104, t=27.92
        -1,    -2;      % ta_f105, t=27.89
        -1,    2;      % ta_f108, t=27.66
        5,    4;      % ta_f106, t=15.43
        -2,    3;      % da_f103, t=27.89
        -2,    -4;      % da_m118, t=26.65
        8,    10;     % da_m111, t=26.5
        -3,    -4;      % da_f119, t=28.14
        -4,    -4;      % da_m104, t=28.17
        9,    10;     % da_m115, t=26.1
        -5,    -8;      % ka_m111, t=21.41
        -2,    -3;      % ka_m118, t=27.66
        6,    4;      % ka_m114, t=20.41
        -1,    -4;      % ka_f103, t=16.68
        3,    0;      % ka_f105, t=22.2
        2,    -3;      % ka_f119, t=16.67
        -1,    -5;      % ga_m111, t=19.67
        -1,    -1;      % ga_m104, t=27.2
        -1,    -2;      % ga_m112, t=27.14
        -1,    -3;      % ga_f119, t=28.4
        11,    11;     % ga_f108, t=26
        4,    1];    % ga_f109, t=19.2
              
% group = {'pa','pa','pa','pa','pa','pa',...
%          'ba','ba','ba','ba','ba','ba',...
%          'ta','ta','ta','ta','ta','ta',...
%          'da','da','da','da','da','da',...
%          'ka','ka','ka','ka','ka','ka',...
%          'ga','ga','ga','ga','ga','ga'};

group = [1,1,1,1,1,1, 2,2,2,0,0,2, 3,3,3,3,3,3, ...
         4,4,4,4,4,4, 5,5,5,5,5,5, 6,6,6,6,6,6];
     
%figure('Position', [50, 50, 600, 600]);
figure;
%gscatter(SNR90_vs_Thresh_Cue(:,2), SNR90_vs_Thresh_Cue(:,1), group, 'mcrgbk', '+o*^sp', ...
%         8, 'on', 'Threshold of Dominant Cue (dB)', 'SNR (pc=0.9)');
     
markers = {'s', 's', 'o', 'o', '^', '^'};
clr = [1 0 0; 1 0 0; 0 0 0; 0 0 0; 0 0 1; 0 0 1];
facecolor = {'none', 'r', 'none', 'k', 'none', 'b'};

for k=1:6
    n = [(k-1)*6+1:k*6];
    hC{k} = plot(SNR90_vs_Thresh_Cue(n,2), SNR90_vs_Thresh_Cue(n,1), [markers{k} ], 'Color', clr(k, :),...
                    'MarkerFacecolor', facecolor{k}); hold on;
end
legend('pa', 'ba', 'ta', 'da', 'ka', 'ga', 'FontSize', 12, 'Location', 'southeast');
plot([-15, 20], [-15, 20], '--');
xlim([-15, 18]); ylim([-15, 18]);
set(gca, 'XTick', [-15:5:20], 'FontSize', 12);
set(gca, 'YTick', [-15:5:20], 'FontSize', 12);
xlabel('Threshold of Audibility for Dominant Cue (dB)', 'FontSize', 14);
ylabel('SNR(Pc=0.9)', 'FontSize', 14);     