function [ noise_index, signal_index ] = find_signal_in_wrn_indecies( x, threshold )

%
% [ noise_index, signal_index ] = find_signal_in_wrn_indecies( x, sigma, threshold )
%
% Function to find the indecies in a signal which are above and below the "threshold
% of detectibility".  x is the signal.  sigma is the parameter of the rayleign
% distributed noise the signal is in.  threshold is a percentage, which is the percentage
% of the noise samples which will be above the "threshold of detectibility".
%


signal_index = find( x >= threshold );
noise_index = find( x < threshold );