function [aigram, cc, time_axis, freq_axis ] = form_image_ai0607( level3, experiment, filterbank, E_ni2 )


% This function computes the AI-gram image given noise stats and teh speech signal,
% for ai0607 method which doesn't use estimated versions of teh noise, etc.


how_many_filters = 200;


mat_dir = './mat/';


cmsgram_output_rate = 400;  % per second
bmdist = linspace(7.35,30,how_many_filters);
freqs = flipud(greenwood_inverse( bmdist, 'dist' )')';



% Now we compute the log of the ratio of the signal to the reference
% level.  We are interpreting this as bits, but there are many problems
% with this interpretation.


%keyboard
%S =  level3.^2 ./ E_ni2 - 2 * level3 .* E_ni;
%S = (level3.^2 - 2* ( level3 - E_ni) .* E_ni ) ./ E_ni2;
%S = (level3.^2 - 2* max(0,( level3 - E_ni)) .* E_ni ) ./ E_ni2;

E_ni2 = E_ni2 * ones(1,size(level3,2));

S = ( E_ni2 + level3.^2 ) ./ E_ni2;

%  disp('ai0607')
%  disp(sprintf('En2 is %g',E_ni2(1)))


S_1 = max(S,1e-9);

S_logged = 1/3*log10( S_1 );
S_cl1 = max(0,S_logged);
aigram = min(1,S_cl1);

%keyboard

%ccgram = S;  % half_wave_rectifier( S(:,lr_em_padding_samples:end-lr_em_padding_samples) )+0.0000001;

% Now, in theory
cc = mean(aigram);  %sum( min( log2(10^(35/20)) , ccgram ) );
  

freq_axis = freqs;
time_axis = [1:size(S,2)]/cmsgram_output_rate;

