function [ccgram, cc, time_axis, freq_axis ] = form_image_ai( level3, experiment, filterbank, noise_power )


% function to form an image using the (slightly incorrect) technique used
% in the first three versions of the AI-gram.
%
% output is the data 

how_many_filters = 200;


mat_dir = './mat/';


cmsgram_output_rate = 400;  % per second
bmdist = linspace(7.35,30,how_many_filters);
freqs = flipud(greenwood_inverse( bmdist, 'dist' )')';


noise_stats = load([ mat_dir experiment '_' filterbank '_noise_dist5.mat']);


phys_noise = 2e-6 * ones(1,how_many_filters);

% noise had unity std(.,1) before it was filtered.

E_ni2_ns = noise_stats.X3_sq * noise_stats.n3_sq' ./ sum(noise_stats.n3_sq');
E_ni_ns = noise_stats.X3 * noise_stats.n3' ./ sum(noise_stats.n3');


E_ni2 = E_ni2_ns' * noise_power^2 * ones(1,size(level3,2));
E_ni = E_ni_ns' * noise_power * ones(1,size(level3,2));



% Now we compute the log of the ratio of the signal to the reference
% level.  We are interpreting this as bits, but there are many problems
% with this interpretation.


%keyboard
%S =  level3.^2 ./ E_ni2 - 2 * level3 .* E_ni;
%S = (level3.^2 - 2* ( level3 - E_ni) .* E_ni ) ./ E_ni2;
%S = (level3.^2 - 2* max(0,( level3 - E_ni)) .* E_ni ) ./ E_ni2;

S = level3.^2 ./ E_ni2;

S_1 = max(S,1e-9);

S_logged = 1/3*log10( S_1 );
S_cl1 = max(0,S_logged);
ccgram = min(1,S_cl1);

%keyboard

%ccgram = S;  % half_wave_rectifier( S(:,lr_em_padding_samples:end-lr_em_padding_samples) )+0.0000001;

% Now, in theory
cc = mean(ccgram);  %sum( min( log2(10^(35/20)) , ccgram ) );
  

freq_axis = freqs;
time_axis = [1:size(S,2)]/cmsgram_output_rate;

