function [ccgram, cc, time_axis, freq_axis ] = form_image_old1206( level3, threshold_file, noise_power )


% function to form an image using the (slightly incorrect) technique used
% in the first three versions of the AI-gram.
%
% output is the data 

how_many_filters = 200;

%[ l3, l1,  dt, st_dev, rate ] = bm_filter_erboldmod( signal, [1:200], 'speech', 0 )


mat_dir = './mat/';


cmsgram_output_rate = 400;  % per second


% Set up the auditory filterbank  
bmdist = linspace(7.35,30,how_many_filters);
freqs = flipud(greenwood_inverse( bmdist, 'dist' )')';
%bm_filters_filename = [ mat_dir 'standard.mat' ];

% stage1 is identical to level3, passed as a parameter
%[stage1] = filter_detect_estimate( noisy_speech(noise_samples+noisemaker_padding_samples+1 ...
%     :end-noisemaker_padding_samples),[], [],filterbank_str );

load([ mat_dir threshold_file ])

% I need to adjust for the number of runs being averaged over.   

st_dev = st_dev / total_number;
detection_threshold = detection_threshold / total_number;




% We need to scale it accoringly.  The noise used to generate the threshold and std was of
% unity RMS, so we need to multiply the numbers by the rms of the noise we're using.

np = noise_power;

% This is to account for the neural noise which limits the number of
% JNDs/bits available.  This is a very simplistic way to do it, but
% for now, for our purposes it shoudl be fine.
phys_noise = 2e-6 * ones(1,how_many_filters);

st_dev = st_dev * np;

st_dev = max( st_dev, phys_noise );

detection_threshold = detection_threshold * np;


% Now I need to select the noise and speech indecies.

for n = 1:how_many_filters

   % Figure out which samples are noise and which are due to the speech signal.
   [ni,si] = find_signal_in_wrn_indecies( level3(n,:), detection_threshold(n) );
   
   %ni = [];
   %si = [];

   noise_indecies(n).items = ni;
   speech_indecies(n).items = si;

end




[num_of_freqs,num_of_time_samples] = size(level3);
  

% This is where we zero all the samples which are labeled as noise.  
S = form_image_above_noise( level3, speech_indecies );


% ref is the "noise floor".  If the sample value is below ref 
% the sample is labeled to be noise.  This number is also used
% to scale the display.  The number displayed is
% This includes the rayleigh correction.

%threshold = threshold_for_stage1( freqs );


%ref = stage1_noise_info.mu' + threshold.*stage1_noise_info.sigma';

ref = st_dev;
ref = ref' * ones(1,size(level3,2));

ref_floor = detection_threshold;
ref_floor = ref_floor' * ones(1,size(level3,2));

% Now we compute the log of the ratio of the signal to the reference
% level.  We are interpreting this as bits, but there are many problems
% with this interpretation.
S = ( max(0,S-ref_floor) ./ ref) .^2 + 1;	

S_logged = 1/3*log10( S );
S_cl1 = max(0,S_logged);
ccgram = min(1,S_cl1);

%ccgram = S;  % half_wave_rectifier( S(:,lr_em_padding_samples:end-lr_em_padding_samples) )+0.0000001;

% Now, in theory
cc = mean(ccgram);  %sum( min( log2(10^(35/20)) , ccgram ) );
  

freq_axis = freqs;
time_axis = [1:size(S,2)]/cmsgram_output_rate;

