function x=greenwood_inverse(F_cf,func);
% Powerful script for all sorts of inversions around greenwood bands. For
% one input F_cf (in Hz), the output is the corresponding location (in mm)
% on the BM. IF func=='dist', the input is the distance on the BM in mm, 
% and the output is the center frequency in Hz.  
% For func=='band', for an input frequncy in Hz, the corresponding
% bandwidth of the critical band is returned.


A=165.4;a=2.1;k=.88;L=35;%x=1:35;

% Width = width of Basilar Membrane at length =Length;
% All values in mm.
% Line 184 Facts (Allen);
% Humans
%Width=.15+(.33/35)*x;
if nargin==1
    z=1/a*log10(F_cf/A+k);
    x=L*(1-z);
elseif func=='dist'
    x=F_cf;
    z=(L-x)/L;
    F_cf=A*(10.^(a*z)-k);
    x=F_cf;
elseif func=='band'
    Scale=2.5; %Scaling facotr, same as for a cat;
    z=1/a*log10(F_cf/A+k);
    x=L*(1-z);
    xp=x;
    Width=.15+(.33/35)*xp;
    delta_x=Scale*Width;
    temp=delta_x/2;
    in_graph=[(xp-temp),(xp+temp)];
    x=in_graph;
    A=165.4;a=2.1;k=.88;L=35;
    z=(L-x)/L;
    F_cf=A*(10.^(a*z)-k); 
    del_f=F_cf(:,1)-F_cf(:,2); % Bandwidth at each frequency;
    x=del_f;
end