function fig_handle = make_fig_from_data( aigram, ait, time_axis, freq_axis );

fontsize = 16;

%[ aigram, ait, time_axis, freq_axis ] = scaling_cc( speech_data, experiment, sat_method, filterbank );


S = load('./mat/standard.mat');
frequencies = S.frequencies;

[how_many_filters, how_many_samples] = size( aigram );

fig_handle = figure('visible','off');

% Draw the ccgram figure
subplot('position', [0.1 0.29 0.85 0.63])
        
image( aigram, 'CDataMapping','scaled')
set(gca,'CLim',[0 1])

colormap(flipud(gray))

h_colorbar = colorbar;
set(h_colorbar,'FontSize',fontsize);
set(h_colorbar,'YTick',[0:0.2:1])
set(h_colorbar,'YTickLabel',[0:0.2:1])        


set(gca,'YDir','normal')
set(gca,'FontSize',fontsize)
xlabel('Time [cs]','FontSize',fontsize)
ylabel('Frequency [kHz]','FontSize',fontsize)

%title(sprintf('SNR = %.2f dB',snr),'FontSize',fontsize)
        
set(gca,'YTick',linspace(1,how_many_filters,11));
set(gca,'YTickLabel',0.1*round(10*frequencies(round(linspace(1,how_many_filters,11)))/1000))

%set(gca,'XTick',40*[1 2 3 4 5]);
%set(gca,'XTickLabel',10*[1 2 3 4 5]);

set(gca,'XTick',40*[1:floor(how_many_samples/40)]);
set(gca,'XTickLabel',10*[1:floor(how_many_samples/40)]);
        
%if ischar(wav_file)        
%   set(gcf,'Name',sprintf('Auditory Filter Based Spectrogram for %s',wav_file));
%end
        

% Draw the channel capacity figure
subplot('position', [0.1 0.05 0.728 0.13])
        

aigram_output_rate = 400;  % per second

% The 100 is to convert from bits/sec to bits/cs
plot([1:length(ait)]/aigram_output_rate,ait)

a = axis;

a(3) = 0;
a(4) = ceil(max(ait));
a(2) = length(ait)/aigram_output_rate;
axis(a)


        
set(gca,'FontSize',fontsize)
set(gca,'XTick',40*[1 2 3 4 5]);
set(gca,'XTickLabel',[])
        
ylabel('Inst. AI','FontSize',fontsize)
