function noise = noisemaker_MN16R( speech, SNR, FS )
% finished

% unnecessary variables
filename = '';
NOISEINFO = '';
noiseexp = 0;

%changelog
%3-6-04
%   + verified NOISEINFO passes data

% creates wideband noise that is as bandlimited as the speech sound
% added the loudness of noise correction factor

print_stuff = 0;


if length(strfind(path,'./bin')) == 0 
   path(path,'./bin/')
end



%  We need to know the relation between the highest speech peaks and the
%  SNR the sound is presented at so we can prevent overflows and such.
%  THe data was collected and the function for it is given by:

noise_backoff =  calculate_noise_backoff_MN16R( SNR );

% We want to leave room below 83 dB SNR (the max RMS that can be generated with a
% maximum DAC register value of 0.3, so we will set the noise to 53 dB, which gives
% room for a 12 dB RMS speech signal with 12 dB peaks, and will keep the peak value below
% 80 dB SPL

scale_to_zero_dBrms = 0.0000212;  % a sound with an RMS value of this much
				  % will be at zero dB RMS  
%noise_spl_level = 10^((54 - max([0, ( SNR - 2 )]))/20);     % scale factor to make the noise 54 dB rms
						     % This means that the number of SNR DB above
						     % 2 dB will be subtracted so that the peaks
						     % are always at 80 dB
noise_spl_level = 10^( (54 - noise_backoff)/20);
						     
noise_vu_level = 0.6979;          % level of unity variance noise coming out of the 7khz and headphone filters
noise_rms_level = 0.8751;         % rms level of unity variance noise coming out of the 7khz and headphone filters
vu_resp_length = 5000;		  % the number of samples for (most of) the vumeter impulse response


NOISEINFO = '';

load('./mat/bpfilt_MN16R.mat');  % filters


filtered_speech = filter(B_headphones,A_headphones,speech);

% now we'll scale the speech signal

speech_vu_level = max( vumeter_MN16R( speech, FS ) );   % this is the measurement MN used


%%%%%%%%%%%%%%%%%55
%snr_scale_factor = noise_vu_level / speech_vu_level * 10^(SNR/20);
%%%%%%%%%%%%%%%%%%%
%  There is evidence in MN55 to suggest that the system was calibrated to
%  measure the RMS level of the noise rather than the VU level.  This is
%  consistent with observations in that no sounds are audible at a noise
%  level of -18 dB when the noise VU level is used.  So, given these observations
%  I've decided to use the noise_rms_level rather than the noise_vu_level in the
%  preceeding commented line.

snr_scale_factor = noise_rms_level / speech_vu_level * 10^(SNR/20);



filtered_scaled_speech =  filtered_speech * snr_scale_factor;
scaled_speech = speech *  snr_scale_factor;


noise = randn(1,length(filtered_scaled_speech));  

noise = noise / snr_scale_factor;

filtered_noise = filter(B_headphones,A_headphones, filter(B_7khz,A_7khz,noise) );



vu_out = vumeter_MN16R(filtered_noise,FS);
noise_level = mean( vu_out(vu_resp_length:end) );
speech_level = max(vumeter_MN16R(scaled_speech,FS));
snr = 20*log10( speech_level / noise_level );
NOISEINFO = sprintf(' WAVVU=%d NOISEVU=%d VUSNR=%d',speech_level,noise_level,snr);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  This is where you wouuld put filtering.  Replace the = sign with filter(b,a, filtered_scaled_speech).
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

filtered_scaled_filtered_speech = filtered_scaled_speech;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




%newwav = filtered_scaled_filtered_speech + filtered_noise';

newwav = filtered_noise';




% this scale factor will set the presentation level so that the maximum
% RMS level never exceeds 80 db SPL, and so that the maximum peak level will
% rarely (if ever) exceed 0.3 in the DAC register
level_scale_factor = noise_spl_level * scale_to_zero_dBrms / noise_rms_level;

%if print_stuff
%disp('Noise:')
%[rms_n,t] = booth_level( filtered_noise * level_scale_factor );
%disp('Speech:')
%[rms_s,t] = booth_level( scaled_speech * level_scale_factor );
%disp(sprintf('SNR is %.1f',rms_s-rms_n))
%disp('S+N:')
%[rms_b,t] = booth_level( newwav * level_scale_factor );
%disp('VU based info')
%disp(NOISEINFO)
%disp(sprintf('Max is %.2f',max(abs(newwav * level_scale_factor))))
%end


%newwav = newwav * level_scale_factor;  %10^(-25/20);  % scale for presentation

noise =  newwav;  % - speech )';

%keyboard
