function noise = noisemaker_MN64( WAV, SNR, FS , start_sample, stop_sample )

%function [noise, NOISEINFO] = noisemaker(WAV, SNR, speech_spec, FS, filename, NOISEINFO, noiseexp)
% finished

speech_spec = [];
filename = '';
NOISEINFO = '';

noiseexp = ceil( log2( length( WAV ) ) );


% This is necessary because the way things are done below, we need to have the exact
% sample length, padded in the same way as the original expeirment.


max_length = 40000;
WAV = (  WAV - mean(WAV) );

pad_length = floor( ( max_length - ( stop_sample - start_sample ) ) / 2 );

%keyboard

start_sample = start_sample - pad_length;
stop_sample = stop_sample + pad_length;


% at this point WAV(start_sample:stop_sample) is identical to
% the speech sample being used in MN64 within a scaling factor,
% which is unimportant.



%changelog
%3-6-04
%   + verified NOISEINFO passes data

NOISEINFO = '';

%load('filter.mat');  %highpass filter

B = [ 0.92729119977064  -7.41832959816513  25.96415359357795 -51.92830718715589  64.91038398394487 -51.92830718715589  25.96415359357795 -7.41832959816513   0.92729119977064 ];

A = [ 1.00000000000000  -7.84903240187179  26.95459942968300 -52.89736147250257  64.88396906506186 -50.93811558990992  24.99483610672536 -7.00876410635748   0.85986896917207 ];



%total length of noise = 2*L samples
L = 2^noiseexp;
rolloff_1 = 12; % lower rolloff in dB/dec
rolloff_2 = -30; % upper rolloff in dB/dec
Fc1 = round(100*2*L/FS); % lower slope-change frequency (100Hz)
Fc2 = round(1000*2*L/FS); % upper slope-change frequency (1000Hz)

Flog = zeros(1,L);
Flog(1:Fc1) = rolloff_1*log10([1:Fc1]/Fc1) + 0;
Flog(Fc2:L) = rolloff_2*log10([Fc2:L]/Fc2) + 0;
speech_spec = 10.^(Flog/20);
speech_spec=[speech_spec fliplr(speech_spec)];
speech_spec(1) = 0;
speech_spec(L+1) = 0;
WAV2=filter(B,A,WAV);
THR = 10^(-40/20) * max(abs(WAV2)); % threshold at -40dB down from the peak
WAV_THR = WAV2(find(WAV2 > THR));


% This is a pain.  Unfortunately due to our collective mistake,
% the scale factor applied to the speech depends on the amount
% of "dead time" in the speech sample.  So if I give a speech
% sample padded on both sides by silence, the actual SNR will
% turn out to be much higher because the power of the speech 
% sample will appear to be much lower than it actually is.

% I need the speech sounds to have the exact same noise level
% they had in the MN64 experiment.

% So what I need to do to fix this problem is provide a way for
% the called to specify which region of the speech sound is the
% sample that was given in MN64.


speech_rms = std(WAV2(start_sample:stop_sample),1);%0.1;

wav_length = stop_sample - start_sample + 1;


SPEECH_SPEC = speech_spec;
phase = pi*randn(size(SPEECH_SPEC));
[Nr Ni] = pol2cart(phase,SPEECH_SPEC);
noise = real(ifft(Nr+j*Ni));

noise = noise(1:length(WAV));

% No ramp is need because the sound isn't getting presented
% to a person.  However it may harm the accuracy of our noise
% estimator so we won't use a ramp.

%ramp = [1:round(FS*1e-3)]/round(FS*1e-3);
%noise(1:length(ramp)) = ramp.*noise(1:length(ramp));
%noise(end+1-[1:length(ramp)]) = ramp.*noise(end+1-[1:length(ramp)]);


noise_rms = sqrt(var(noise) + mean(noise).^2);
noise = noise*speech_rms/noise_rms*(10^(-SNR/20));
noise_rms = sqrt(var(noise) + mean(noise).^2);


% keyboard

