function np = noisemaker_s04_np(WAV, SNR, FS)
% finished

%changelog
%3-6-04
%   + verified NOISEINFO passes data

%total length of noise = 2*L samples
L = 8*5000;
FS = 16000;
rolloff_1 = 12; % lower rolloff in dB/dec
rolloff_2 = -30; % upper rolloff in dB/dec
Fc1 = round(100*2*L/FS); % lower slope-change frequency (100Hz)
Fc2 = round(1000*2*L/FS); % upper slope-change frequency (1000Hz)

Flog = zeros(1,L);
Flog(1:Fc1) = rolloff_1*log10([1:Fc1]/Fc1) + 0;
Flog(Fc2:L) = rolloff_2*log10([Fc2:L]/Fc2) + 0;
speech_spec = 10.^(Flog/20);
speech_spec=[speech_spec fliplr(speech_spec)];
speech_spec(1) = 0;
speech_spec(L+1) = 0;
SPEECH_SPEC = speech_spec;
phase = pi*randn(size(SPEECH_SPEC));
[Nr Ni] = pol2cart(phase,SPEECH_SPEC);
noise = real(ifft(Nr+j*Ni));
ramp = [1:round(FS*1e-3)]/round(FS*1e-3);
noise(1:length(ramp)) = ramp.*noise(1:length(ramp));
noise(end+1-[1:length(ramp)]) = ramp.*noise(end+1-[1:length(ramp)]);
rmsw = std(WAV);
rmsn = std(noise);
noise = noise*10^(-SNR/20)*rmsw/rmsn;
np = std( noise(length(ramp):end-length(ramp) ) );