function [sigma, mu] = std_from_hist2( X, X2, N, N2 )

% function sd = std_from_hist( X, X2, N, N2 )
% compute the std and mean from the histogram
% X and N are the histogram of the RV
% X2 and N2 are the histogram of the RV^2

for n = 1:size(N,1)
   num = sum(N(n,:));
   mu(n) = sum( X.*N(n,:) ) / num;

   num = sum(N2(n,:));
   sumsq = sum( X2.*N2(n,:) ) / (num-1);
   sigma(n) = sqrt( sumsq - mu(n)^2 );
end