function y = vumeter2( x, fs )

% script to implement a vumeter at a 16000 sampling rate

if fs ~= 16000
	disp('Warning, VU meter is only for a 16 khz sampling rate')
end

r = 1 - 0.73192e-3;
w0 = 5.2492e-4;
k = 1.5462e-3;

y = filter([0 k*r*sin(w0) ],[1 -2*r*cos(w0) r^2 ], abs(x) );
