%function make_MN16R_noise_info( filter_set, threshold )

% Script to make collect and store info about the noise so we don't have to wait every time
% for a particular noise spectra.
%
% filter_set - a string which indicates which filter set to use, currently
%              the choices are erb, linapprox, and garbes.
% threshold - is the threshold in decimals, ie 0.99, 0.95, 0.9
%

clear

filter_set = 'erboldmod';
threshold = 0.5;


if length(strfind(path,'./bin')) == 0 
   path(path,'./bin/')
end

%min_bin = -1.5;
%max_bin = 1.5;


%noise_info_filename = './mat/MN16R_noise_stats.mat';

noise_info_filename = sprintf('./mat/mn16r_%s_noise_dist_x.mat',filter_set);


how_many = 100;
M = 2000;


if exist(noise_info_filename,'file')
   load(noise_info_filename)
else
   n = 0;
   %detection_threshold = zeros(1,200);
   %st_dev = zeros(1,200);
   total_number = 0;
   %N = zeros(200,M);
   n1 = zeros(200,M);
   n3 = zeros(200,M);
   n1_sq = zeros(200,M);
   n3_sq = zeros(200,M);
   X1 = linspace(-1.5,1.5,M);
   X1_sq = linspace( 0 ,1.5^2,M);
   X3 = linspace(-0.15,1.5,M);
   X3_sq = linspace(-0.15,2,M);
end


start = n+1;



len = 1e5;

for n = start:how_many


   disp(sprintf('Working on %i/%i',n,how_many))
   tic

   noise = noisemaker_MN16R( [zeros(1,len) 1 zeros(1,20000)], 0, 16000 );
   %noise = noisemaker_MN16R( [zeros(1,1e6) 1 zeros(1,20000)],0, 16000, 1e6,1e6+1);

   noise = noise / std(noise,1);

   speech_or_noise = 'noise';

   %[ outputs ] = eval( [ 'bm_filter_' filter_set '_breakout( noise )' ] );
   
   [ level3, level1, rate ] = eval([ 'bm_filter_' filter_set '( noise, [1:200], ''speech'' , 0, 1 )' ]);

   %samples = size(output(1).n2,2);

   for m = 1:200  % for each frequency
      n1(m,:) = n1(m,:) + hist(level1(m).data,X1);
      n1_sq(m,:) = n1_sq(m,:) + hist( (level1(m).data).^2,X1_sq);
      
      n3(m,:) = n3(m,:) + hist(level3(m,:),X3);
      n3_sq(m,:) = n3_sq(m,:) + hist(level3(m,:).^2,X3_sq);
   end
   %clear('noise')
   %clear('stage1')

   clear('outputs')

   %st_dev = st_dev + st;
   %detection_threshold = detection_threshold + dt;

   disp(sprintf('Time was %f seconds',toc))

   total_number = total_number + 1;
   
   if mod(n,5) == 0
      save(noise_info_filename,'n','total_number','n1','n3','n3_sq','n1_sq','X1','X3','X1_sq','X3_sq')
   end

end


%make_MN64_noise_dist

%save MN64_noise_info.mat st_dev detection_threshold total_number