function make_MN16R_noise_info( filter_set, threshold )

% Script to make collect and store info about the noise so we don't have to wait every time
% for a particular noise spectra.
%
% filter_set - a string which indicates which filter set to use, currently
%              the choices are erb, linapprox, and garbes.
% threshold - is the threshold in decimals, ie 0.99, 0.95, 0.9
%

%clear

if length(strfind(path,'./bin')) == 0 
   path(path,'./bin/')
end



%noise_info_filename = './mat/MN16R_noise_stats.mat';

noise_info_filename = sprintf('./mat/MN16R_%s_%i_noise_stats_x.mat',filter_set,100*threshold);


how_many = 250;


if exist(noise_info_filename,'file')
   load(noise_info_filename)
else
   n = 0;
   detection_threshold = zeros(1,200);
   st_dev = zeros(1,200);
   total_number = 0;
end


start = n+1;


len = 1e5;

for n = start:how_many

   disp(sprintf('Working on %i/%i',n,how_many))
   tic

   noise = noisemaker_MN16R( [zeros(1,len) 1 zeros(1,20000)], 0, 16000 );
   %noise = noisemaker_MN16R( [zeros(1,1e6) 1 zeros(1,20000)],0, 16000, 1e6,1e6+1);

   noise = noise / std(noise,1);

   speech_or_noise = 'noise';

   [ level3, trash, dt, st, rate ] = eval([ 'bm_filter_' filter_set '( noise, [1:200], speech_or_noise , threshold, 0 )' ]);
   %[ stage1, dt, st ] = eval( [ 'bm_filter_' filter_set '( noise, speech_or_noise, threshold)' ] );

   clear('noise')
   clear('level3')

   st_dev = st_dev + st;
   detection_threshold = detection_threshold + dt;

   disp(sprintf('Time was %f seconds',toc))

   total_number = total_number + 1;
   
   save(noise_info_filename,'n','detection_threshold','st_dev','total_number')

end


%save MN64_noise_info.mat st_dev detection_threshold total_number