%function make_MN16R_noise_info( filter_set, threshold )

% Script to make collect and store info about the noise so we don't have to wait every time
% for a particular noise spectra.
%
% filter_set - a string which indicates which filter set to use, currently
%              the choices are erb, linapprox, and garbes.
% threshold - is the threshold in decimals, ie 0.99, 0.95, 0.9
%

clear

filter_set = 'erboldmod';
threshold = 0.5;


if length(strfind(path,'./bin')) == 0 
   path(path,'./bin/')
end

min_bin = -3;
max_bin = 3;


%noise_info_filename = './mat/MN16R_noise_stats.mat';

noise_info_filename = sprintf('./mat/MN16R_%s_speech_dist5.mat',filter_set);


wav_dir = '~/research/ldc/all/';






M = 5000;
X1 = linspace(-7,7,M);
X1_sq = linspace(0, 25, M);
X3 = linspace(-0.5,12,M);
X3_sq = linspace(0,32,M);

%files = dir([ wav_dir '*.wav']);

if exist(noise_info_filename,'file')
   load(noise_info_filename)
else
   n = 0;
   %detection_threshold = zeros(1,200);
   %st_dev = zeros(1,200);
   total_number = 0;
   %N = zeros(200,M);
   n1 = zeros(200,M);
   n1_sq = zeros(200,M);
   %n2 = zeros(200,M);
   n3 = zeros(200,M);
   n3_sq = zeros(200,M);
   files = dir([ wav_dir '*.wav']);
   how_many = length(files);
   order = randperm(length(files));

end


start = n+1;

%len = 1e5;


for n = start:how_many  %length(files)

   disp(sprintf('Working on %i/%i',n,how_many))
   tic

   %noise = noisemaker_MN16R( [zeros(1,len) 1 zeros(1,20000)], 0, 16000 );
   %noise = noisemaker_MN16R( [zeros(1,1e6) 1 zeros(1,20000)],0, 16000, 1e6,1e6+1);

   %noise = noise / std(noise,1);

   speech = wavread([wav_dir files(order(n)).name]);

   [start, finish] = label_begining_and_end2( speech );
   speech = speech(start:finish);

   speech = speech / std(speech);

   speech_or_noise = 'noise';

   [ outputs ] = eval( [ 'bm_filter_' filter_set '_breakout( speech )' ] );

   %samples = size(output(1).n2,2);


   for m = 1:200  % for each frequency
      band_sigma = std( outputs(m).n1 );
      n1(m,:) = n1(m,:) + hist(outputs(m).n1/band_sigma,X1);
      n1_sq(m,:) = n1_sq(m,:) + hist((outputs(m).n1/band_sigma).^2,X1_sq);

      %n2(m,:) = n2(m,:) + hist(outputs(m).n2/band_sigma,X);
      n3(m,:) = n3(m,:) + hist(outputs(m).n3/band_sigma,X3);
      n3_sq(m,:) = n3_sq(m,:) + hist((outputs(m).n3/band_sigma).^2,X3_sq);
   end

   %clear('noise')
   %clear('stage1')

   clear('outputs')

   %st_dev = st_dev + st;
   %detection_threshold = detection_threshold + dt;

   disp(sprintf('Time was %f seconds',toc))

   total_number = total_number + 1;
   
   if mod(n,5) == 0
      save(noise_info_filename,'n','total_number','n1','n3','X1','X3','n1_sq','X1_sq','n3_sq','X3_sq','order','how_many','files')
   end
end


%make_MN64_noise_dist

%save MN64_noise_info.mat st_dev detection_threshold total_number




