% script to help me generate some comparisons between the different ccgrams
% and show them in a pretty tex file

clear

addpath ./bin

wav_dir = '~/LDC/';
ps_dir = './ps/';

file_list = dir([ wav_dir '*a.wav']);

% show random files, but the same every time
which_files = [ 1033 619 25 1114 603 ];

snrs = [-6 6];

generate_figs = 1;

fp = fopen('eg_figures.tex','w');

method_strs = { 'nadeeka','old1206','ai'};


for n = 1:length(which_files)

   for m = 1:length(snrs)

      speech = wavread([ wav_dir file_list(which_files(n)).name ]);

      speech_data.snr = snrs(m);
      speech_data.signal = speech;
      speech_data.type = 'speechonly';

      fn = file_list(which_files(n)).name;

      eps_fn(1).name = sprintf('%s_%i_nadeeka.eps',fn(1:end-4),snrs(m));
      if generate_figs
         fig_nadeeka = make_figure( speech_data, 'mn16r', 'nadeeka', 'erbaligned' );
         h_axes = get(fig_nadeeka,'Children');
         title(h_axes(3),sprintf('%s - %i dB SNR nadeeka',fn,snrs(m)))      
         print(eps_fn(1).name,'-depsc2')
      end


      eps_fn(2).name = sprintf('%s_%i_old1206.eps',fn(1:end-4),snrs(m));
      if generate_figs
         fig_old1206 = make_figure( speech_data, 'mn16r', 'old1206', 'erbaligned' );
         h_axes = get(fig_old1206,'Children');
         title(h_axes(3),sprintf('%s - %i dB SNR old1206',fn,snrs(m)))
         print(eps_fn(2).name,'-depsc2')      
      end


      eps_fn(3).name = sprintf('%s_%i_ai.eps',fn(1:end-4),snrs(m));
      if generate_figs
         fig_ai = make_figure( speech_data, 'mn16r', 'ai', 'erbaligned' );
         h_axes = get(fig_ai,'Children');
         title(h_axes(3),sprintf('%s - %i dB SNR ai',fn,snrs(m)))
         print(eps_fn(3).name,'-depsc2')
      end

      %fprintf(fp,'\n\n\n%s %i dB SNR',fn,snrs(m));
      fprintf(fp,'\n\\setcounter{subfigure}{0}');
      fprintf(fp,'\n\\begin{figure}\\centering\\mbox{');
      for o = 1:3
         fprintf(fp,'\n\\subfigure[%s]{ \\includegraphics[width = 0.4 \\textwidth]{./ps/%s} }',char(method_strs(o)),eps_fn(o).name);
      end
      fprintf(fp,'\n} \\end{figure}');



   end

end

close all


fclose(fp);



















%  
%  
%  \mbox{
%        \subfigure[Confusion Pattern]{
%        \includegraphics[width = 0.4 \textwidth]{./eps/f101ba_confusion_MN16R.eps}}
%        
%        \subfigure[SNR is 24 dB]{
%        \includegraphics[width = 0.4 \textwidth]{./eps/f101ba_CCGRAM24.eps}}
%        }
%  
%  









