% script to test the new aigram method and determine whether it offers the same detectability as the old one

clear


snrs = [-6];

wav_dir = '~/research/svana/MN16wavs/';

out_dir = './ps4/';

filenames = dir( [ wav_dir 's_m102_*.wav']);

how_many_averages = 10;


speech_data.fs = 16000;
speech_data.type = 'speechonly';

speech_data_separate.fs = 16000;
speech_data_separate.type = 'separate';

experiment = 'mn16r';
filterbank = 'erbaligned';


for n = 1:5  %length(filenames)

   disp(sprintf('working on file %i of %i',n,length(filenames)))

   speech_data.signal = wavread([ wav_dir filenames(n).name ] );

   for m = 1:length(snrs)

      disp(sprintf('working on snr %i of %i',m,length(snrs)))

      speech_data.snr = snrs(m);

      % compute an average of several 'ai' aigrams

      for o = 1:how_many_averages

         [ai_gramx, ait, time_axis, freq_axis ] = scaling_cc( speech_data, experiment, 'ai', filterbank );
         %[ai_gramx, ait, time_axis, freq_axis ] = scaling_cc( speech_data, experiment, 'aiwct', filterbank );

         if o == 1
            ai_gram = ai_gramx;
            %ai_gram_nct = ai_gramx_wct;
         else
            ai_gram = ai_gram + ai_gramx;
            %ai_gram_nct = ai_gram_nct + ai_gramx_wct;
         end

      end

      ai_gram = ai_gram / how_many_averages;
      %ai_gram_nct = ai_gram_nct / how_many_averages;



      h = make_fig_from_data( ai_gram, ait, time_axis, freq_axis );

      out_filename = sprintf('%s_%i_ai.eps',filenames(n).name(1:end-4),snrs(m));
      print([out_dir out_filename], '-depsc2')
      close(h)
      %set(h,'visible','on')

      %h = make_fig_from_data( ai_gram, ait, time_axis, freq_axis );
      %
      %out_filename = sprintf('%s_%i_aiwct.eps',filenames(n).name(1:end-4),snrs(m));
      %print([out_dir out_filename], '-depsc2')
      %close(h)



      % compute the ai0607 aigram

      [ speech_in, speech_only, noise_only, noise_std ] = eval(sprintf('prepare_speech_%s( speech_data )',experiment));
      speech_data_separate.signal = speech_only;
      speech_data_separate.noise = noise_only;

      [ai_gram_0607, ait, time_axis, freq_axis ] = scaling_cc( speech_data_separate, experiment, 'ai0607c', filterbank );

      h = make_fig_from_data( ai_gram_0607, ait, time_axis, freq_axis );
      %h = make_figure( speech_data_separate, experiment, 'ai0607', filterbank );

      out_filename = sprintf('%s_%i_ai0607c.eps',filenames(n).name(1:end-4),snrs(m));
      print([out_dir out_filename], '-depsc2')
      close(h)
      %set(h,'visible','on')


      % compute the ai0607b aigram

%        [ speech_in, speech_only, noise_only, noise_std ] = eval(sprintf('prepare_speech_%s( speech_data )',experiment));
%        speech_data_separate.signal = speech_only;
%        speech_data_separate.noise = noise_only;
%  
%        [ai_gram_0607b, ait, time_axis, freq_axis ] = scaling_cc( speech_data_separate, experiment, 'ai0607b', filterbank );
%  
%        h = make_fig_from_data( ai_gram_0607, ait, time_axis, freq_axis );
%        %h = make_figure( speech_data_separate, experiment, 'ai0607', filterbank );
%  
%        out_filename = sprintf('%s_%i_ai0607b.eps',filenames(n).name(1:end-4),snrs(m));
%        %print([out_dir out_filename], '-depsc2')
%        %close(h)
%        set(h,'visible','on')
   

   end

end




