% ript to test the new aigram method and determine whether it offers the same detectability as the old one

clear


snrs = [-6];

wav_dir = '~/research/svana/MN16wavs/';

out_dir = './ps4/';

filenames = dir( [ wav_dir 's_m102_*.wav']);

how_many_averages = 10;


speech_data.fs = 16000;
speech_data.type = 'speechonly';

speech_data_separate.fs = 16000;
speech_data_separate.type = 'separate';

experiment = 'mn16r';
filterbank = 'erbaligned';


speech_data.signal = wavread([ wav_dir filenames(1).name ] );
speech_data.snr = 0;



[ speech_in, speech_only, noise_only, noise_std ] = eval(sprintf('prepare_speech_%s( speech_data )',experiment));

speech_data_separate.signal = speech_only;
speech_data_separate.noise = noise_only;



[ l3_so, rate ] = eval([ 'bm_filter_' filterbank '( speech_only, [1:200], ''speech'' , 0, 0 )' ]);
[ l3_no, rate ] = eval([ 'bm_filter_' filterbank '( noise_only, [1:200], ''speech'' , 0, 0 )' ]);
[ l3_spn, rate ] = eval([ 'bm_filter_' filterbank '( speech_in, [1:200], ''speech'' , 0, 0 )' ]);


l3_n2avg = mean(l3_no.^2,2)*ones(1,size(l3_no,2));
l3_navg = mean(l3_no,2)*ones(1,size(l3_no,2));

c = 65;

figure


semilogy(l3_so(c,:))
hold on
semilogy(l3_so(c,:).^2,'b--')

%plot(l3_no(c,:).^2,'r')

semilogy(l3_spn(c,:),'g')
semilogy(l3_spn(c,:).^2,'g--')

semilogy(l3_navg(c,:),'r')
semilogy(l3_n2avg(c,:),'r--')
  

semilogy(l3_so(c,:) - l3_spn(c,:),'c')

legend('so','so2','spn','spn2','n','n2','so-spn')

%S = (level3.^2 - 2* max(0,( level3 - E_ni)) .* E_ni ) ./ E_ni2;

%plot( (l3_spn(c,:).^2  - 2*max(0, l3_spn(c,:) - l3_navg(c,:)) .* l3_navg(c,:) ) ./l3_n2avg(c,:) )

%hold on

%S = max( E_ni2, level3.^2 ) ./ E_ni2 ;

%plot( max( l3_n2avg(c,:), l3_so(c,:).^2 ) ./ l3_n2avg(c,:),'r' )

%plot( ( l3_n2avg(c,:)+ l3_so(c,:).^2 ) ./ l3_n2avg(c,:), 'g' )


figure

semilogy(l3_so(c,:).^2 ./ l3_n2avg(c,:) )

hold on

semilogy( ( l3_so(c,:).^2 - 2*l3_so(c,:) .* l3_navg(c,:) ) ./ l3_n2avg(c,:), 'm')

semilogy( l3_so(c,:) .* l3_navg(c,:) ./ l3_n2avg(c,:) ,'y')

semilogy(l3_spn(c,:).^2 ./ l3_n2avg(c,:) ,'g')

t = (l3_spn(c,:)-l3_navg(c,:)).*l3_navg(c,:);

semilogy(t ./ l3_n2avg(c,:) ,'r')

semilogy( ( l3_spn(c,:).^2 -2*t ) ./ l3_n2avg(c,:),'c')

legend('so2','so2-ct','ct','spn2','crosstm','ai')
