% this script analysis the perception data of modified speech (Conflicting Cues) for Normal Hearing listeners.
%
% The speech stimuli consist of /da, ga, ta, ka/ and /xsxi, sxi, szxi, zxi/

close all; clear all; clc;

load SPDB_CF09.mat; % for detail of the 

%% create CM
stims = { ...
'ta',		'ta-k',     	'ta-t+k',	'ta-t-k',...
'ka',		'ka-t',     	'ka-k+t',	'ka-k-t',...
'da',		'da-g',     	'da-d+g',	'da-d-g',...
'ga',		'ga-d',     	'ga-g+d',	'ga-g-d',...
'sxi',		'sxi-d',	'sxi-s',	'sxi-s-d',...
'xsxi',		'xsxi-s',	'xsxi-xs',	'xsxi-xs-s',...
'zxi',		'zxi-d',	'zxi-z',	'zxi-z-d',...
'xzxi',		'xzxi-z',	'xzxi-xz',	'xzxi-xz-z'};

resps = {'t','k','p','d','g','b','s','xs','z','xz','xt','xd','h','l','f','v','?'}; 

% ---- calculate CM for the data ----
data = SPDB_CF09;
%data = query(SPDB_CF09, 'listener');	% retrieve data at a given snr

CM = calc_CM_en(data, stims, resps, ['CF09']);  % calculate confusion matrix

tab_stop = CM.table(1:16,[1:6,17]); 
stim_stop = CM.stims(1:16);
resp_stop = CM.resps([1:6,17]);
cm2tex(tab_stop, ['CM_stop_CF09.tex'], stim_stop, resp_stop); % output to Latex document    

tab_fric = CM.table(17:32,[4,7:12,17]); 
stim_fric = CM.stims(17:32);
resp_fric = CM.resps([4,7:12,17]);
cm2tex(tab_fric, ['CM_fric_CF09.tex'], stim_fric, resp_fric); % output to Latex document    
