% This program plots the average Pe over all stimuli as a function of snr

clear all; clc; close all;

load SPDB_SL07.mat;

lab_row = {'pa';'ta';'ka';'fa';'xta';'sa';'xsa';'ba';'da';'ga';'va';'xda';'za';'xza';'ma';'na'};
lab_col = {'pa';'ta';'ka';'fa';'xta';'sa';'xsa';'ba';'da';'ga';'va';'xda';'za';'xza';'ma';'na';'?'};

stims = {'pa';'ta';'ka';'fa';'Ta';'sa';'Sa';'ba';'da';'ga';'va';'Da';'za';'Za';'ma';'na'};

snrs = [6, 100];

%% calculate Confusion Matrix for all subjects
for i=1:length(Index_SL07.listener)
    cur_sub = Index_SL07.listener{i};
    for j=1:length(snrs)
        cur_snr = snrs(j);
        data = query(SPDB_SL07, 'listener', cur_sub, 'snr', cur_snr, 'compensate', 'NaN');
        cm = calc_CM(data, ['CM_' cur_sub '_' num2str(cur_snr) 'dB']);
        cm2tex(cm.table(:,1:17), ['./results/CM_' cur_sub '_' num2str(cur_snr) 'dB.txt'], lab_row, lab_col);
    end
end
