% this script analyze the perceptual features of initial consonant based on
% the results of experiment HL07, TR07, and MN16R. 

%load SPDB.mat;

close all; clc;

load vowel_start_time.mat;
utter_list = get_utter_list_SNRLoss07();


% %% generate a document that contains all the confusion patterns and AI-grams
% figure('Position',[1 1 800 600]); 
% fp1 = fopen('AIgram_CP_HL07_TR07_MN16R.tex','w');
% sound_of_interest = {'m118_ka'};
% for i=1:length(sound_of_interest)
%     q(i) = find(strcmp(utter_list, sound_of_interest{i}));
% end
% 
% for i=1:length(q)
%     utter = utter_list{q(i)}; disp(utter); clf;    
%     plot_CP_HL07_TR07_MN16_AIgram(SPDB, utter, 12, vowel_start_time{q(i)}.time);
%     saveas(gcf, ['./results/' utter '.eps'], 'psc2');  
%     fprintf(fp1,'\\includegraphics[width = 0.5 \\textwidth]{%s}\n',['./results/' utter '.eps']);
% end
% fclose(fp1);

%% calculate time and frequency importance functions and find the feature
%clear sound_of_interest; clear p;
%sound_of_interest = {'m118_pa';'f108_ta';'f103_ka';'f101_ba';'m111_ga';'m111_da';...
%                     'f101_fa';'f113_xta';'m112_sa';'m118_xsa';'f119_xda';'m111_va';...
%                     'm104_za';'m117_xza';'m118_ma';'m112_na'};

%sound_of_interest = {'f103_pa';'f108_ta';'f103_ka';'m111_ba';'m118_da';'m111_ga'};
sound_of_interest = {'f101_fa';'f113_xta';'m112_sa';'m118_xsa';'f119_xda';'m111_va';'m104_za';'m118_xza';'m118_ma';'m112_na'};

%sound_of_interest = utter_list([1:18 43:60]);

%sound_of_interest = utter_list;
for i=1:length(sound_of_interest)
    p(i) = find(strcmp(utter_list, sound_of_interest{i}));
end

%figure('Position',[1 1 800 600]); 
h = figure('Position',[1 1 600 800]); set(h,'PaperPositionMode','auto')
fp2 = fopen('Cue_HL07_TR07_MN16R_stops.tex','w');
for i=1:length(p)
    utter = utter_list{p(i)}; disp(utter); clf;
    calc_importance_aigram_rev(SPDB, utter, vowel_start_time{p(i)}.time); %calc_feature_mask(SPDB, utter, 12, vowel_start_time{p(i)}.time);
    %pause;
    saveas(gcf, ['./results/' utter(6:end) '_' utter(1:4) '.fig']);
    print(h,'-depsc2', ['./results/' utter(6:end) '_' utter(1:4)]);    
    fprintf(fp2,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/cue_' utter '.eps']);
end
fclose(fp2);

% %% generate AIgrams under different SNR conditions for comparison
% h3 = figure('Position',[1 1 600 300]); 
% set(h3,'PaperPositionMode','auto');
% fp3 = fopen('AIgram_SNRs_HL07_TR07_MN16R.tex','w');
% for i=1:length(utter_list)
%     utter = utter_list{i}; disp(utter); clf;
%     gen_aigrams(SPDB, utter, vowel_start_time{i}.time);
%     %print(h3,'-depsc2', ['./results/aigrams_' utter '.eps']);
%     saveas(gcf, ['./results/aigrams_' utter '.eps'], 'psc2');
%     fprintf(fp3,'\\includegraphics[width = 0.5 \\textwidth]{%s}\n',['./results/aigrams_' utter '.eps']);
% end
% fclose(fp3);