% this script analyze the perceptual features of initial consonant based on
% the results of experiment HL07, TR07, and MN16R. 

%close all; clc;

%load SPDB_TR08.mat
%load SPDB_HL08.mat
%load SPDB_CV06WN.mat

%load vowel_start_time_TR08.mat;
%utter_list = get_utter_list_TR08();
utter_list = {'f103_ta'};


%% generate a document that contains all the confusion patterns and AI-grams
hfig1 = figure('Position',[1 1 800 600]); 
set(hfig1,'PaperPositionMode','auto')
fp1 = fopen('CP_HL08_TR08_CV06WN.tex','w');
for i=1:length(utter_list)
    utter = utter_list{i}; disp(utter); clf; 
    plot_CP_HL08_TR08_CV06_AIgram(SPDB_TR08, SPDB_HL08, SPDB_CV06WN, utter, 12, vowel_start_time{i}.time)
    %saveas(gcf, ['./results/CP_' utter '.eps'], 'psc2');  
    print(hfig1,'-depsc2', ['./results/CP_' utter '.eps']);
    fprintf(fp1,'\\includegraphics[width = 0.5 \\textwidth]{%s}\n',['./results/CP_' utter '.eps']);
end
fclose(fp1);

%% calculate time and frequency importance functions and find the feature
hfig2 = figure('Position',[1 1 600 600]); 
set(hfig2,'PaperPositionMode','auto')
fp2 = fopen('Cue_HL08_TR08_CV06WN.tex','w');
for i=1:length(utter_list)
    utter = utter_list{i}; disp(utter); clf;
    calc_importance_aigram_tr08(SPDB_TR08, SPDB_HL08, SPDB_CV06WN, utter, vowel_start_time{i}.time);
    %saveas(gcf, ['./results/cue_' utter '.eps'], 'psc2');
    print(hfig2,'-depsc2', ['./results/cue_' utter '.eps']);
    fprintf(fp2,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/cue_' utter '.eps']);
end
fclose(fp2);

% %% generate AIgrams under different SNR conditions for comparison
% h3 = figure('Position',[1 1 600 300]); 
% set(h3,'PaperPositionMode','auto');
% fp3 = fopen('AIgram_SNRs_HL07_TR07_MN16R.tex','w');
% for i=1:length(utter_list)
%     utter = utter_list{i}; disp(utter); clf;
%     gen_aigrams(SPDB, utter, vowel_start_time{i}.time);
%     %print(h3,'-depsc2', ['./results/aigrams_' utter '.eps']);
%     saveas(gcf, ['./results/aigrams_' utter '.eps'], 'psc2');
%     fprintf(fp3,'\\includegraphics[width = 0.5 \\textwidth]{%s}\n',['./results/aigrams_' utter '.eps']);
% end
% fclose(fp3);