% this script analyzes the speech spectrum of consonant sound, the vowel
% part is not included.

clear all; clc; 

load SPDB_TR07.mat;

utter_list = get_field_value('SL07', 'utter');

for i=1:length(utter_list)
    utter = utter_list{i};
    data = query(SPDB_TR07, 'exp', 'trunc07', 'utter', utter);
    cp_time = calc_CP(data, utter, 'time');
    
    pi_a = cp_time.table(:,end);
    p = find(pi_a >=2);
    if isempty(p)
        p = length(pi_a);
    else
        p = min(p);
    end
    
    vowel_start_time{i}.utter = utter;
    vowel_start_time{i}.time = cp_time.conds(p-1);
end

save('vowel_start_time.mat', 'vowel_start_time');