ls% This program plots the average Pe over all stimuli as a function of snr

clear all; clc; close all;

load SL07.mat;

%% plot the grand Percent Correct 

% load the Live Speech test data
load SPDB_SL07L.mat
npresent = length(SPDB_SL07L{1});
data = query(SPDB_SL07L, 'hit', 1);
nhit = length(data{1});
pi_live = nhit/npresent;

figure;
snrs = PE_NAL{1}.conds; snrs(end) = 24; 
for i=1:length(snrs)-1
    xticklabel{i} = num2str(snrs(i)); 
end
xticklabel{end+1} = 'Quiet';
plot(snrs([1,2,3,4,5,7]), 1-PE_NAL{1}.score([1,2,3,4,5,7]), '-ro', 'Linewidth', 1.5); hold on; % left ear
plot(snrs([1,2,3,4,5,7]), 1-PE_NAL{2}.score([1,2,3,4,5,7]), '-bs', 'Linewidth', 1.5); hold on; % right ear
plot(snrs([1,2,3,4,5,7]), 1-PE_noNAL{1}.score([1,2,3,4,5,7]), '--ro', 'Linewidth', 1.5); hold on; % left ear
plot([0,6,12,24], 1-PE_noNAL{2}.score, '--bs', 'Linewidth', 1.5); hold on; % right ear
plot(snrs(end), pi_live, '-kp', 'Linewidth', 1.5);
legend({'Left ear (NAL-R)';'Right ear (NAL-R)';'Left ear (no NAL-R)';'Right ear (no NAL-R)';'Live Speech'},'Location','Best', 'FontSize', 11);  %legend('boxoff');
text( -12, 0.62, ['Subject AS'], 'FontSize', 14);
xlabel('SNR (dB)', 'FontSize', 12); 
ylabel('Percent Correct', 'FontSize', 12); 
xlim([-14, 26]); ylim([-0.05, 0.7]);
set(gca,'XTick',snrs([1,2,3,4,5,7]),'XTickLabel', {'-12';'-6';'0';'6';'12';'Quiet'}, 'YTick',[0:0.1:1], 'FontSize', 12);
saveas(gcf, 'grand_Pc_.eps', 'psc2');

%fp = fopen('latex_output.tex','w');
%fprintf(fp,'\\includegraphics[width = 0.8 \\textwidth]{%s}\n','grand_Pc_.eps');    

