% this script analyze the perceptual features of initial consonant based on
% the results of experiment HL07, TR07, and MN16R. 

%load SPDB.mat;

close all; clc;

load vowel_start_time.mat;
utter_list = get_utter_list_SNRLoss07();

% enter the name of the utters here!
sndlist = {'f103_pa'};
%sndlist = {'f103_pa'; 'f105_ta'; 'f103_ka'; 'm111_ba'; 'm111_da'; 'm111_ga'};
for i=1:length(sndlist)
    snd_id(i) = find(strcmp(utter_list, sndlist{i}));
end

%% calculate time and frequency importance functions and find the feature
h1 = figure('Position',[1 1 450 450]); 
set(h1,'PaperPositionMode','auto');
for i=1:length(snd_id)
    utter = utter_list{snd_id(i)}; disp(utter); clf;
    calc_importance_snr(SPDB, utter, vowel_start_time{snd_id(i)}.time);
    saveas(gcf, ['./results/cue_' utter '.emf'], 'emf');
end

%% generate AIgrams under different SNR conditions for comparison
h3 = figure('Position',[1 1 600 300]); 
set(h3,'PaperPositionMode','auto');
for i=1:length(snd_id)
    utter = utter_list{snd_id(i)}; disp(utter); clf;
    gen_aigrams(SPDB, utter, vowel_start_time{snd_id(i)}.time);
    %print(h3,'-depsc2', ['./results/aigrams_' utter '.eps']);
    saveas(gcf, ['./results/aigrams_' utter '.emf'], 'emf');
end
