% calculate CM, CP, Pe for MN64 data

clear all; close all; clc

load SPDB_MN64.mat; % the hearing impaired data

nSNR = length(Index_MN64.snr);

stims = {'pa','ta','ka','fa','xta','sa','xsa','ba','da','ga','va','xda','za','xza','ma','na'}; 

%% calculate average Pe for CV with and without NAL-R
for j=1:length(stims)

    cur_cv = stims{j};
        
    data = query(SPDB_MN64, 'stim', cur_cv);
    if length(data{1})
        pe = calc_Pe(data, cur_cv, ['Pecent Error (Pe) of ' cur_cv], 'snr');
        pe.cv = cur_cv; pe.NAL = 1;
        PE_CV{j} = pe;
    end
        
end

save('MN64.mat', 'PE_CV');