% this script calls all the pull_xxxxx_data function and integrate data
% from different speech perception experiment into a single SPDB
% The main program of the system

fullpath = mfilename('fullpath');
sys_path = fullpath(1:end-15);

warning off;
addpath(genpath(sys_path));
warning on;

% cd([sys_path 'exps/CV06WN']);
% [SPDB_CV06WN, Index_CV06WN] = pull_CV06WN_data();

%cd([sys_path 'exps/CV06SWN']);
%[SPDB_CV06SWN, Index_CV06SWN] = pull_CV06SWN_data();

%cd([sys_path 'exps/CV06SWN']);
%[SPDB_CV06SWN, Index_CV06SWN] = pull_HL08_data();

% cd([sys_path 'exps/TR08']);
% [SPDB_TR08, Index_TR08] = pull_TR08_data();
% 
% cd([sys_path 'exps/HL08']);
% [SPDB_HL08, Index_HL08] = pull_HL08_data();

% cd([sys_path 'exps/MN16R']);
% [SPDB_MN16R, Index_MN16R] = pull_MN16R_data('./data/mn16rdata.zip');
% 
% cd([sys_path 'exps/MN64']);
% [SPDB_MN64, Index_MN64] = pull_MN64_data('./data/mn64data.zip');
% 
% cd([sys_path 'exps/Trunc06']);
% [SPDB_TR06, Index_TR06] = pull_Trunc06_data('./data/trunc06data.zip');
% 
% cd([sys_path 'exps/Trunc07']);
% [SPDB_TR07, Index_TR07] = pull_Trunc07_data('./data/trunc07data.zip');
% 
% cd([sys_path 'exps/HPLPF07']);
% [SPDB_HL07, Index_HL07] = pull_HPLPF07_data('./data/hplpf07data.zip');
% 
% cd([sys_path 'exps/SNRLoss06']);
% [SPDB_SL06, Index_SL06] = pull_SNRLoss06_data('./data/snrloss06data.zip');
% 
cd([sys_path 'exps/CF09']);
[SPDB_CF09, Index_CF09] = pull_CF09_data();

% cd([sys_path 'exps/SL07']);
% [SPDB_SL07, Index_SL07] = pull_SNRLoss07_data();
% [SPDB_SL07L, Index_SL07L] = pull_LiveSpeech_data();
%
% cd([sys_path 'exps/SNRLoss07EN']);
% [SPDB_SL07EN, Index_SL07EN] = pull_SNRLoss07EN_data();

cd([sys_path 'bin']);

% SPDB = SPDB_MN16R;
% for j=1:length(SPDB)
%     SPDB{j} = cat(1, SPDB{j}, SPDB_MN64{j});
% end
% for j=1:length(SPDB)
%     SPDB{j} = cat(1, SPDB{j}, SPDB_TR06{j});
% end
% for j=1:length(SPDB)
%     SPDB{j} = cat(1, SPDB{j}, SPDB_TR07{j});
% end
% for j=1:length(SPDB)
%     SPDB{j} = cat(1, SPDB{j}, SPDB_HL07{j});
% end
% for j=1:length(SPDB)
%     SPDB{j} = cat(1, SPDB{j}, SPDB_SL06{j});
% end
% for j=1:length(SPDB)
%     SPDB{j} = cat(1, SPDB{j}, SPDB_SL07{j});
% end
% for j=1:length(SPDB)
%     SPDB{j} = cat(1, SPDB{j}, SPDB_SL07L{j});
% end
% for j=1:length(SPDB)
%     SPDB{j} = cat(1, SPDB{j}, SPDB_SL07EN{j});
% end
% 
% % Pull out basic information from the Normal Hearing data TRUNCDB
% Index.exp = unique(sort(SPDB{1}));
% Index.utter = unique(sort(SPDB{2}));
% Index.talker = unique(sort(SPDB{3}));
% Index.listener = unique(sort(SPDB{4}));
% Index.hearing = unique(sort(SPDB{5}));
% Index.audiogram = unique(sort(SPDB{6}));
% Index.L1 = unique(sort(SPDB{7}));
% Index.accent = unique(sort(SPDB{8}));
% Index.gender = unique(sort(SPDB{9}));
% Index.age = unique(sort(SPDB{10}));
% Index.stim = unique(sort(SPDB{11}));
% Index.compensate = unique(sort(SPDB{12}));
% Index.trunctime = unique(sort(SPDB{13}));
% Index.frequency = unique(sort(SPDB{14}));
% Index.snr = unique(sort(SPDB{15}));
% Index.noise = unique(sort(SPDB{16}));
% Index.s_level = unique(sort(SPDB{17}));
% Index.n_level = unique(sort(SPDB{18}));
% Index.r_level = unique(sort(SPDB{19}));
% Index.resp = unique(sort(SPDB{20}));
% Index.resptime = unique(sort(SPDB{21}));
% Index.repeat = unique(sort(SPDB{22}));
% Index.hit = unique(sort(SPDB{23}));
% Index.comment = unique(sort(SPDB{24}));

%save([sys_path 'DB/' 'SPDB_CV06WN.mat'], 'SPDB_CV06WN', 'Index_CV06WN');
%save([sys_path 'DB/' 'SPDB_CV06SWN.mat'], 'SPDB_CV06SWN', 'Index_CV06SWN');

% save([sys_path 'DB/' 'SPDB_MN16R.mat'], 'SPDB_MN16R', 'Index_MN16R');
% save([sys_path 'DB/' 'SPDB_MN64.mat'], 'SPDB_MN64', 'Index_MN64');
% save([sys_path 'DB/' 'SPDB_TR06.mat'], 'SPDB_TR06', 'Index_TR06');
% save([sys_path 'DB/' 'SPDB_TR07.mat'], 'SPDB_TR07', 'Index_TR07');
% save([sys_path 'DB/' 'SPDB_HL07.mat'], 'SPDB_HL07', 'Index_HL07');
% save([sys_path 'DB/' 'SPDB_SL06.mat'], 'SPDB_SL06', 'Index_SL06');
% save([sys_path 'DB/' 'SPDB_SL07.mat'], 'SPDB_SL07', 'Index_SL07');
save([sys_path 'DB/' 'SPDB_CF09.mat'], 'SPDB_CF09', 'Index_CF09');
% save([sys_path 'DB/' 'SPDB_SL07L.mat'], 'SPDB_SL07L', 'Index_SL07L');
% save([sys_path 'DB/' 'SPDB_SL07EN.mat'], 'SPDB_SL07EN', 'Index_SL07EN');
% save([sys_path 'DB/' 'SPDB.mat'], 'SPDB', 'Index');

% create a look up table of the field values for various experiments
clear allnExperiment = 8; nField = 24;
SPDB_Field_Value = cell(nExperiment, nField);

ExpNames = {'MN16R';'MN64';'TR06';'TR07';'HL07';'SL06';'SL07';'SL07L';'SL07EN'};

FieldNames = {'exp','utter','talker','listener','hearing','audiogram','L1','accent',...
              'gender','age','stim','compensate','trunctime','frequency','snr','noise',...
              's_level','n_level','r_level','resp','resptime','repeat','hit','comment'};

for i=1:nExperiment

    for j=1:nField
        s = ['SPDB_Field_Value{i,j} = Index_' ExpNames{i} '.' FieldNames{j}]; 
        eval(s);
    end

    switch upper(ExpNames{i})
        case {'MN16R','MN64R','TR06','SL06','SL07L', 'SL07EN'}
            disp(['use Index_' ExpNames{i} '.utter']);
        case {'TR07','HL07','SL07'}
            utter_list = get_utter_list_HPLPF07();
            SPDB_Field_Value{i,2} = utter_list;
        otherwise
            disp('ExpNames mismatch!');
    end

end

save([sys_path 'DB/' 'SPDB_Field_Value.mat'], 'SPDB_Field_Value');

% create Audiograms.mat
[Audiograms_SL06, SubList_SL06] = create_audiogram([sys_path '/exps/SNRLoss06/data/Audiograms_SL06.csv']);
[Audiograms_SL07, SubList_SL07] = create_audiogram([sys_path '/exps/SNRLoss07/data/Audiograms_SL07.csv']);

Audiograms = Audiograms_SL06;
SubList = SubList_SL06;     % a list of subjects
for i=1:length(Audiograms_SL07)
    Audiograms{end+1} = Audiograms_SL07{i};
    SubList{end+1} = SubList_SL07{i};
end

save([sys_path 'DB/' 'Audiograms.mat'], 'Audiograms', 'SubList');
