% this script creates a format file for the SPDB files of the various
% experiment 
% Author: Feipeng Li
% Time Stamp: Nov 18, 2007

function Field = create_SPDB_format()

% the name of the field
Field{1}.name = 'exp';           % name of the experiment
Field{2}.name = 'utter';         % filename of the stimulus
Field{3}.name = 'talker';        % name of the talker
Field{4}.name = 'listener';      % name of the listener
Field{5}.name = 'hearing';       % normal hearing (NH) or hearing impaired (HI)
Field{6}.name = 'audiogram';     % audiogram.mat; NaN - not available
Field{7}.name = 'L1';            % first language
Field{8}.name = 'accent';        % accent of the listener
Field{9}.name = 'gender';        % gender of the listener
Field{10}.name = 'age';          % age of the listener
Field{11}.name = 'stim';         % the presented stimulus
Field{12}.name = 'compensate';   % compensated by NAL-R or other prescription formula
Field{13}.name = 'trunctime';    % truncation time
Field{14}.name = 'frequency';    % name of the frequency band
Field{15}.name = 'snr';          % signal-to-noise ratio
Field{16}.name = 'noise';        % noise type, WN - White Noise; SWN - Speech Weighted Noise
Field{17}.name = 's_level';      % sound intensity of speech stimuli
Field{18}.name = 'n_level';      % sound intensity of noise
Field{19}.name = 'r_level';      % sound intensity of real stimulus
Field{20}.name = 'resp';         % listener's response to the stimulus
Field{21}.name = 'resptime';     % response time
Field{22}.name = 'repeat';       % number of repeat
Field{23}.name = 'hit';          % 1 - resp is the same as stim
Field{24}.name = 'comment';      % other related information

% the type of the fields
Field{1}.type = 'string';        % name of the experiment
Field{2}.type = 'string';        % filename of the stimulus
Field{3}.type = 'string';        % name of the talker
Field{4}.type = 'string';        % name of the listener
Field{5}.type = 'string';        % normal hearing (NH) or hearing impaired (HI)
Field{6}.type = 'string';        % 1 - refer to audiogram.mat; NaN - not available
Field{7}.type = 'string';        % first language
Field{8}.type = 'string';        % accent of the listener
Field{9}.type = 'string';        % gender of the listener
Field{10}.type = 'float';       % birthday of the listener
Field{11}.type = 'string';       % the presented stimulus
Field{12}.type = 'string';       % compensated by NAL-R or other prescription formula
Field{13}.type = 'float';       % truncation time
Field{14}.type = 'string';       % name of the frequency band
Field{15}.type = 'float';       % signal-to-noise ratio
Field{16}.type = 'string';       % noise type, WN - White Noise; SWN - Speech Weighted Noise
Field{17}.type = 'float';       % sound intensity of speech stimuli
Field{18}.type = 'float';       % sound intensity of noise
Field{19}.type = 'float';       % sound intensity of real stimulus
Field{20}.type = 'string';       % listener's response to the stimulus
Field{21}.type = 'float';       % response time
Field{22}.type = 'float';       % number of repeat
Field{23}.type = 'logical';       % 1 - resp is the same as stim
Field{24}.type = 'string';       % other related information