%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program extract the AIgram of designated snr from the AI cube 
% Input: AI_cube -- cube of the AIgram
%        snr -- the designated signal-to-noise ratio
% Output: AIgram -- the Articluation Index (AI) gram
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function AIgram = extract_AI_gram(AI_cube, snr)

AIgram = [];
for i = 1:length(AI_cube)
    if AI_cube(i).snr == snr
        AIgram.ccgram = AI_cube(i).ccgram;% get the right snr
        AIgram.time_axis = AI_cube(i).time_axis;
        AIgram.freq_axis = AI_cube(i).freq_axis;
    end
end