%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program is used to retrieve the possible values of a field for a
% given experiment.
% Input: exp - the name of the experiment
%        fieldname - the name of the field
% Output: value_list - the possible values for the field in query
%   Author:      Feipeng Li at HSR, Beckman Institute, UIUC
%   Time-stamp:  2006-11-09, Modified 2007-09-16
%   E-mail:      fli2@uiuc.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function value_list = get_field_value(exp, fieldname)

load SPDB_Field_Value.mat;

ExpNames = {'MN16R';'MN64';'TR06';'TR07';'HL07';'SL06';'SL07';'SL07L'};
ExpAlias = {'MN16R';'MN64';'TRUNC06';'TRUNC07';'HPLPF07';'SNRLOSS06';'SNRLOSS07';'SNRLOSS07L'};

FieldNames = {'exp','utter','talker','listener','hearing','audiogram','L1','accent',...
              'gender','age','stim','compensate','trunctime','frequency','snr','noise',...
              's_level','n_level','r_level','resp','resptime','repeat','hit','comment'};
          
row_no = find(strcmp(upper(exp),ExpNames) + strcmp(upper(exp),ExpAlias));
col_no = find(strcmp(fieldname,FieldNames));

value_list = SPDB_Field_Value{row_no, col_no};