%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program plot the AIgram 
% Input: AIgram -- the AIgram to be plotted
%        wav_file -- name of the wav file (for labeling)
%        snr -- signal-to-noise ratio for a red line (for labeling)
%        t_star -- time for the event_gram (for labeling)
%        exp -- the id of the experiment (64 or 16)        
%   Author:      Feipeng Li revised from Marion's code
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function plot_AI_gram(AIgram, wav_file, snr)

fontsize = 10;

S = load('standard.mat');
frequencies = S.frequencies;

ccgram = AIgram.ccgram;
time_axis = AIgram.time_axis;
freq_axis = AIgram.freq_axis;

[how_many_filters, how_many_samples] = size(ccgram);
bmdist = linspace(7.35,30,how_many_filters);

imagesc(ccgram); 
colormap(flipud(gray))

set(gca,'YDir','normal')
set(gca,'FontSize',fontsize)
xlabel('Time [cs]','FontSize',fontsize+2)
ylabel('Frequency [kHz]','FontSize',fontsize+2)

name = fix_underscore(wav_file);
name = name([2:end]); 

%title(sprintf('AI-gram of %s at %d dB SNR',name,snr),'FontSize',12)
%text(how_many_samples*0.50, 180, fix_TSDZ([name '@' num2str(snr) 'dB'], 1), 'FontSize',14);

set(gca,'YAxisLocation','l','YTick',linspace(1,how_many_filters,11),'FontSize', fontsize);
set(gca,'YTickLabel',0.1*round(10*frequencies(round(linspace(1,how_many_filters,11)))/1000))
set(gca,'XTick',20*[1:floor(how_many_samples/20)],'FontSize', fontsize);
set(gca,'XTickLabel',5*[1:floor(how_many_samples/20)]);

