%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program is used to plot the Percent Error as a function of
% truncation time or low-pass/high-pass cutoff frequency
%   Author:      Feipeng Li at HSR, Beckman Institute, UIUC
%   Time-stamp:  2006-10-10
%   E-mail:      fli2@uiuc.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function plot_Pe(Pe)

plot(Pe.conds, Pe.score, '-bo', 'LineWidth',1.5 );

if length(Pe.caption)>6
    Pe.caption = fix_underscore(Pe.caption);
    if (Pe.caption(5)=='x'), 
        Pe.caption(6)=upper(caption(6));
        Pe.caption = [Pe.caption(1:4) Pe.caption(6:end)];
    end
end

grid on; xlim([Pe.conds(1),Pe.conds(end)]); ylim([-0.02, 1.02]); 
title(Pe.caption, 'FontSize', 12);
set(gca,'XTick',Pe.conds,'YTick',[0:0.2:1], 'FontSize', 12);
xlabel(Pe.xlabel, 'FontSize', 12); 
ylabel(Pe.ylabel, 'FontSize', 12); 

