% this script plot the Pe of an utterance as a function of the
% truncation time, high-pass and low-pass cutoff frequency.
function plot_Pe_HPLPF07_TRUNC07(SPDB, utter)

% first calculate the Pe as a function of time
data = query(SPDB, 'exp', 'TRUNC07', 'utter', utter);
pe_time = calc_Pe(data, utter(6:end), utter, 'time');
    
% then calculate the Pe as a function of high-pass and low-pass cutoff frequencies
data = query(SPDB, 'exp', 'HPLPF07', 'utter', utter, 'comment', 'HP');
pe_hpf = calc_Pe(data, utter(6:end), utter, 'hpf');

data = query(SPDB, 'exp', 'HPLPF07', 'utter', utter, 'comment', 'LP');
pe_lpf = calc_Pe(data, utter(6:end), utter, 'lpf');

%fp = fopen('feature_analysis.tex','w');

%figure;

%subplot(131), 
plot_Pe(pe_time);
%subplot(132), plot_Pe(pe_hpf); 
%subplot(133), plot_Pe(pe_lpf);

saveas(gcf, ['./results/' utter '.eps'], 'psc2');  
%saveas(gcf, ['./results/' utterance '.emf'], 'emf');

%fprintf(fp,'\\includegraphics[width = 0.5 \\textwidth]{%s}\n',['./results/' utterance '.eps']);


