%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program plot the feature mask
% Input: feature -- the feature mask to be plotted
%        utter -- name of the wav file (for labeling)
%   Author:      Feipeng Li revised from Marion's code
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function plot_feature(feature, utter)

S = load('standard.mat');
frequencies = S.frequencies;

mask = feature.mask;
time_axis = feature.time_axis;
freq_axis = feature.freq_axis;

[how_many_filters, how_many_samples] = size(mask);
bmdist = linspace(7.35,30,how_many_filters);

imagesc(flipud(mask)); 
colormap(flipud(gray))

set(gca,'YDir','normal')
set(gca,'FontSize',12)
xlabel('Time [cs]','FontSize',12)
ylabel('Frequency [kHz]','FontSize',12)

name = fix_underscore(utter);
name = name([2:end]); 

title(sprintf('Feature Mask of %s',name),'FontSize',12)

set(gca,'YAxisLocation','l','YTick',linspace(1,how_many_filters,11),'FontSize', 8);
set(gca,'YTickLabel',0.1*round(10*frequencies(round(linspace(1,how_many_filters,11)))/1000))
set(gca,'XTick',40*[1:floor(how_many_samples/40)],'FontSize', 8);
set(gca,'XTickLabel',10*[1:floor(how_many_samples/40)]);

