% calculate Pe for MN64 data

%clear all; close all; clc

%load SPDB_MN64.mat; % normal hearing data with speech weighted noise

nSNR = length(Index_MN64.snr);
stims = {'pa','ta','ka','fa','xta','sa','xsa','ba','da','ga','va','xda','za','xza','ma','na'}; 

% %% calculate average Pe for CV with and without NAL-R
% for j=1:length(stims)
%     cur_cv = stims{j};
%     data = query(SPDB_MN64, 'stim', cur_cv);
%     if length(data{1})
%         pe = calc_Pe(data, cur_cv, ['Pecent Error (Pe) of ' cur_cv], 'snr');
%         pe.cv = cur_cv; pe.NAL = 1;
%         PE_CV{j} = pe;
%     end
% end
% save('MN64.mat', 'PE_CV');

utterlist_SL07 = get_field_value('SL07', 'utter');
%% calculate average Pe for the 16 CVs
for j=1:length(stims)
    cur_cv = stims{j};
    
    data = query(SPDB_MN64, 'utter', utterlist_SL07{(j-1)*6+1});
    for i=2:6
        temp = query(SPDB_MN64, 'utter', utterlist_SL07{(j-1)*6+i});
        [nRow nCol] = size(temp);
        for k=1:nCol
            data{k} = cat(1, data{k}, temp{k});
        end    
    end
    
    disp(cur_cv);
    for k=1:length(data{20})
        data{11}{k} = data{11}{k}(1:min(length(cur_cv)-1, end));            
        data{20}{k} = data{20}{k}(1:min(length(cur_cv)-1, end));
    end
    
    pe.caption = ['Pecent Error (Pe) of ' cur_cv];
    pe.conds = Index_MN64.snr;
    pe.xlabel = 'SNR (dB)';
    pe.ylabel = 'Percent Error';
    pe.score = NaN(size(pe.conds));    
    pe.cur_cv = cur_cv;
    
    for i=1:length(pe.conds)
        data_snr = query(data, 'snr', pe.conds(i));
        nplay = length(data_snr{1});
        nhit = length(find(strcmp(data_snr{11}, data_snr{20})));
        pe.score(i) = (nplay-nhit)/nplay;
    end
    
    PE_CV{j} = pe;
    
end
save('MN64sub.mat', 'PE_CV');
