% this script make a scatter plot of the properties of the events of the
% stop consonants. Peak Frequency vs Duration before vowel vs Noise
% Robustness

clear all; clc; close all;

%-------------------Freq----Dur----Strength
prop_burst_stop = [ ...
                    0.55,   70,     0;      % pa_m118
                    0.50,   65,     6;      % pa_m114
                    0.40,   45,     12;     % pa_m104
                    0.40,   55,     12;     % pa_f103
                    0.25,   60,     6;      % pa_f106
                    0.50,   50,     12;     % pa_f109
                    NaN,    NaN,   NaN;     % ba_m118   %0.60, 0, -6; % ba_m118
                    0.51,   25,    -12;     % ba_m107
                    0.49,   28,     -6;     % ba_m111
                    NaN,    NaN,   NaN;     % ba_f119
                    0.28,   30,      0;     % ba_f105
                    0.55,   40,    -6;      % ba_f101
                    4.0,    65,     -6;     % ta_m115
                    4.2,    50,     0;      % ta_m112
                    2.8,    80,     0;      % ta_m104
                    5.2,    50,     0;      % ta_f105
                    5.4,    80,     0;      % ta_f108
                    3.8,    80,     6;      % ta_f106
                    5.3,    70,     6;      % da_f103
                    2.8,    30,     0;      % da_m118
                    4.0,    35,     12;     % da_m111
                    4.8,    40,     0;      % da_f119
                    3.8,    30,     0;      % da_m104
                    3.5,    30,     12;     % da_m115
                    1.6,    95,    -6;      % ka_m111
                    1.5,    95,     0;      % ka_m118
                    1.3,    100,    6;      % ka_m114
                    1.6,    72,     0;      % ka_f103
                    1.6,    60,     6;      % ka_f105
                    1.6,    70,     0;      % ka_f119
                    1.8,    50,     0;      % ga_m111
                    1.4,    40,     0;      % ga_m104
                    1.7,    50,     0;      % ga_m112
                    1.8,    30,     0;      % ga_f119
                    2.0,    45,     12;     % ga_f108
                    1.7,    45,     6 ];    % ga_f109
              
% group = {'pa','pa','pa','pa','pa','pa',...
%          'ba','ba','ba','ba','ba','ba',...
%          'ta','ta','ta','ta','ta','ta',...
%          'da','da','da','da','da','da',...
%          'ka','ka','ka','ka','ka','ka',...
%          'ga','ga','ga','ga','ga','ga'};

group = [1,1,1,1,1,1, 0,2,2,0,2,2, 3,3,3,3,3,3, ...
         4,4,4,4,4,4, 5,5,5,5,5,5, 6,6,6,6,6,6];
     
size = (20 - prop_burst_stop(:,3))/2;
% make scatter plots for the six consonants
figure;
%gscatter(prop_burst_stop(:,2), prop_burst_stop(:,1), group, 'mcrgbk', '+o*^sp', ...
%         8, 'on', 'Duration between burst and vowel [ms]', 'Center Frequency [kHz]');

markers = {'s', 's', 'o', 'o', '^', '^'};
clr = [1 0 0; 1 0 0; 0 0 0; 0 0 0; 0 0 1; 0 0 1];
facecolor = {'none', 'r', 'none', 'k', 'none', 'b'};

for k=1:6
    n = [(k-1)*6+1:k*6];
    hC{k} = semilogy(prop_burst_stop(n,2), prop_burst_stop(n,1), [markers{k} ], 'Color', clr(k, :),...
                    'MarkerFacecolor', facecolor{k}); hold on;
end
legend('pa', 'ba', 'ta', 'da', 'ka', 'ga', 'FontSize', 12);
xlim([15, 105]); ylim([0.2, 8]);
set(gca, 'XTick', [20:10:100], 'FontSize', 12);
set(gca, 'YTick', [0.2,0.4,0.8,1.6,3.2,6.4], 'FontSize', 12);
xlabel('Duration between burst and vowel [ms]', 'FontSize', 14);
ylabel('Burst Frequency [kHz]', 'FontSize', 14);