% This script get the cutoff frequencies for a given filter
% filter_label -- the label of the filter condition
% freq_low - the low end of the cutoff frequency
% freq_high - the high end of the cutoff frequency
function [ freq_low, freq_high ] = get_cutfreq_HL08( filter_label )

Filters = {'LP_0','LP_1','LP_2','LP_3','LP_4','LP_5','LP_6','LP_7','LP_8','LP_9',...        
           'HP_1','HP_2','HP_3','HP_4','HP_5','HP_6','HP_7','HP_8','HP_9','HP_0','FULL'};

Cut_Freqs = [  0.2500    8.0000;...    % LP_0
               0.2500    3.6782;...    % LP_1
               0.2500    2.8262;...    % LP_2
               0.2500    2.1641;...    % LP_3
               0.2500    1.6494;...    % LP_4
               0.2500    1.2495;...    % LP_5
               0.2500    0.9386;...    % LP_6
               0.2500    0.6971;...    % LP_7
               0.2500    0.5093;...    % LP_8
               0.2500    0.3634;...    % LP_9
               8.0000    6.1850;...    % HP_1
               8.0000    4.7745;...    % HP_2
               8.0000    3.6782;...    % HP_3
               8.0000    2.8262;...    % HP_4
               8.0000    2.1641;...    % HP_5
               8.0000    1.6494;...    % HP_6
               8.0000    1.2495;...    % HP_7
               8.0000    0.9386;...    % HP_8
               8.0000    0.6971;...    % HP_9 
               8.0000    0.2500;...    % HP_0
               8.0000    0.100]*1000;  % FULL (this condition applies to MN16R, MN64, SNRLoss06, SNRLoss07 etc where speech are not filtered before presentation)           

p = strcmp(Filters, filter_label);

if isempty(p)
    freq_low = NaN; freq_high = NaN;
else
    freq_low = round(min(Cut_Freqs(p,:)));
    freq_high = round(max(Cut_Freqs(p,:)));    
end
         