% make a figure of TEN measurement for Annette

clear all; clc; close all;

%% data of Annette Schoenberg
f = [250,500,1000,1500,2000,3000,4000,5000,6000,8000,10000];

AS_L = [55,55,50,50,55,60,65,70,75,95,105]; % dB SPL hearing threshold of left ear (Annette)
AS_R = [60,60,60,60,65,80,80,80,85,125,105]; % dB SPL hearing threshold of left ear (Annette)

AS_L_TEN = [60,60,55,55,65,75,70,70,75,95,105];
AS_R_TEN = [70,70,60,60,60,80,80,85,90,125,105];

figure
semilogx(f, AS_L, '-s', 'Color', 'b', 'MarkerFacecolor', [0,0,1], 'MarkerSize', 8 ,'LineWidth',2); hold on;
semilogx(f, AS_L_TEN, '-d', 'Color', 'r', 'MarkerFacecolor', [1,1,1], 'MarkerSize', 8 ,'LineWidth',2); hold on;
patch( [2000,3500,3500,2000], [40,40,130,130], [0.8, 1.0, 0.8], 'EdgeColor', [0, 0, 0], 'FaceAlpha', 0.5 ); hold on;
set(gca, 'XTick', [250,500,1000,2000,4000,8000]); 
set(gca, 'YTick', [40:10:130]); 
xlim([200, 12000]); ylim([40, 130]);
xlabel('Frequency (Hz)', 'FontSize', 12); 
ylabel('Tone Threshold (dB SPL)', 'FontSize', 12);
legend({'Absolute threshold'; '30 dB/ERB'; 'Dead region'},  'FontSize', 14, 'Location', 'NorthWest'); legend('boxoff');
title('AS - Left', 'FontSize', 16);

figure
semilogx(f, AS_R, '-s', 'Color', 'b', 'MarkerFacecolor', [0,0,1], 'MarkerSize', 8 ,'LineWidth',2); hold on;
semilogx(f, AS_R_TEN, '-d', 'Color', 'r', 'MarkerFacecolor', [1,1,1], 'MarkerSize', 8 ,'LineWidth',2); hold on;
patch( [7000,9000,9000,7000], [40,40,130,130], [0.8, 1.0, 0.8], 'EdgeColor', [0, 0, 0], 'FaceAlpha', 0.5 ); hold on;
set(gca, 'XTick', [250,500,1000,2000,4000,8000]); 
set(gca, 'YTick', [40:10:130]); 
xlim([200, 12000]); ylim([40, 130]);
xlabel('Frequency (Hz)', 'FontSize', 12); 
ylabel('Tone Threshold (dB SPL)', 'FontSize', 12);
legend({'Absolute threshold'; '30 dB/ERB'; 'Dead region'}, 'FontSize', 14, 'Location', 'NorthWest'); legend('boxoff');
title('AS - Right', 'FontSize', 16);

%% data of Don Cohen
f = [250,500,1000,1500,2000,3000,4000,5000,6000,8000];

DC_L = [20,15,35,50,60,90,120,110,120,120]; % dB SPL hearing threshold of left ear (Don)
DC_R = [45,35,40,45,45,65, 80, 85, 95,120]; % dB SPL hearing threshold of left ear (Don)

DC_L_TEN = [65,55,55,55,70,90,120,120,120,120];
DC_R_TEN = [65,60,55,60,60,70, 85, 90, 95,120];

figure
semilogx(f, DC_L, '-s', 'Color', 'b', 'MarkerFacecolor', [0,0,1], 'MarkerSize', 8 ,'LineWidth',2); hold on;
semilogx(f, DC_L_TEN, '-d', 'Color', 'r', 'MarkerFacecolor', [1,1,1], 'MarkerSize', 8 ,'LineWidth',2); hold on;
patch( [250,1200,1200,250], [10,10,90,90], [0.8, 1.0, 0.8], 'EdgeColor', [0, 0, 0], 'FaceAlpha', 0.5 ); hold on;
patch( [3500,10000,10000,3500], [10,10,130,130], [0.8, 1.0, 0.8], 'EdgeColor', [0, 0, 0], 'FaceAlpha', 0.5 ); hold on;
set(gca, 'XTick', [250,500,1000,2000,4000,8000]); 
set(gca, 'YTick', [10:10:130]); 
xlim([200, 12000]); ylim([10, 130]);
xlabel('Frequency (Hz)', 'FontSize', 12); 
ylabel('Tone Threshold (dB SPL)', 'FontSize', 12);
legend({'Absolute threshold'; '30 dB/ERB'; 'Dead region'},  'FontSize', 14, 'Location', 'NorthWest'); legend('boxoff');
title('DC - Left', 'FontSize', 16);

figure
semilogx(f, DC_R, '-s', 'Color', 'b', 'MarkerFacecolor', [0,0,1], 'MarkerSize', 8 ,'LineWidth',2); hold on;
semilogx(f, DC_R_TEN, '-d', 'Color', 'r', 'MarkerFacecolor', [1,1,1], 'MarkerSize', 8 ,'LineWidth',2); hold on;
patch( [250,2000,2000,250], [10,10,90,90], [0.8, 1.0, 0.8], 'EdgeColor', [0, 0, 0], 'FaceAlpha', 0.5 ); hold on;
patch( [7000,10000,10000,7000], [10,10,130,130], [0.8, 1.0, 0.8], 'EdgeColor', [0, 0, 0], 'FaceAlpha', 0.5 ); hold on;
set(gca, 'XTick', [250,500,1000,2000,4000,8000]); 
set(gca, 'YTick', [10:10:130]); 
xlim([200, 12000]); ylim([10, 130]);
xlabel('Frequency (Hz)', 'FontSize', 12); 
ylabel('Tone Threshold (dB SPL)', 'FontSize', 12);
legend({'Absolute threshold'; '30 dB/ERB'; 'Dead region'}, 'FontSize', 14, 'Location', 'NorthWest'); legend('boxoff');
title('DC - Right', 'FontSize', 16);