% this script makes the pe_vs_pe plot

function plot_pe_vs_pe(pe_hi, snr_hi, pe_nh, snr_nh, stim_list, subject)

figure; 

snr_nh(end) = 30; snr_hi(end) = 30;

markers_code = create_markers_code();

[nCV, nSNR_HI] = size(pe_hi);

for i=1:nCV
    
    pe_nh_int(i,:) = interp1(double(snr_nh), pe_nh(i,:), snr_hi, 'linear');
    
    plot(pe_hi(i,:), pe_nh_int(i,:), markers_code{i}.shape, 'Color', markers_code{i}.color,...
         'MarkerFacecolor', markers_code{i}.facecolor, 'MarkerSize', 4 ,'LineWidth',1.5 ); hold on   
    
end

legend(stim_list, 'Location','EastOutside');

title(subject); xlim([-0.02,1.02]); ylim([-0.02,1.02]);
xlabel('Pe_{HI}'); ylabel('Pe_{NH}');

line([0 1], [0 1], 'Color', 'k', 'Marker', '.', 'LineStyle', '--', 'LineWidth', 2); hold on

saveas(gca,['Pe_vs_Pe_' subject '.eps'],'psc2');