% this script is used to test the Consonant Loss Profile program.

close all;

% create the test data
snr_nh = [-18, -12,  -6,    0,    6,   12,   18,   24];
pi_nh =  [0.2, 0.6, 0.9, 0.95, 0.96, 0.97, 0.98, 0.99];

%% test the SNR_vs_SNR plot 
% create the hearing-impaired data from the normal hearing data
snr_hi1 = snr_nh; 
pi_hi1 =  pi_nh - 0.04;
snr_hi2 = snr_nh + 12;
pi_hi2 =  pi_nh;

figure('Position', [100, 100, 1200, 450]);
subplot(121), plot(snr_nh, pi_nh, '-k', snr_hi1, pi_hi1, '-rd', snr_hi2, pi_hi2, '-bs');
xlabel('SNR (dB)', 'FontSize', 14); ylabel('Percent Correct', 'FontSize', 14);
legend('NH', 'HI-1', 'HI-2', 'Location', 'Best');

subplot(122), 
plot_SNRloss(pi_hi1, snr_hi1', pi_nh, snr_nh', 'd', 'r', 'r', 0 ); hold on;
plot_SNRloss(pi_hi2, snr_hi2', pi_nh, snr_nh', 's', 'b', 'b', 0 ); hold on;
legend('HI-1', 'HI-2');
xlim([-24, 32]); ylim([-24, 32]);

plot_SNRloss(pi_hi1, snr_hi1', pi_nh, snr_nh', 'd', 'r', 'r', 1 );

%% test the Pc_vs_Pc plot
% create the hearing-impaired data from the normal hearing data
snr_hi1 = snr_nh; 
pi_hi1 =  pi_nh - 0.2;
snr_hi2 = snr_nh + 8;
pi_hi2 =  pi_nh;

figure('Position', [100, 100, 1200, 450]);
subplot(121), plot(snr_nh, pi_nh, '-k', snr_hi1, pi_hi1, '-rd', snr_hi2, pi_hi2, '-bs');
xlabel('SNR (dB)', 'FontSize', 14); ylabel('Percent Correct', 'FontSize', 14);
legend('NH', 'HI-1', 'HI-2');

subplot(122),
plot_Pc_vs_Pc(pi_hi1, snr_hi1', pi_nh, snr_nh', 'd', 'r', 'r'); hold on;
plot_Pc_vs_Pc(pi_hi2, snr_hi2', pi_nh, snr_nh', 's', 'b', 'b'); hold on;
legend('HI-1', 'HI-2', 'Location', 'Best');

line([0 1], [0 1], 'Color', 'k', 'Marker', '.', 'LineStyle', '--','LineWidth', 2); hold on