% This function output a matrix of data to a Latex file
% mat - the matrix to be written
% tex - the name of the latex file 
% lab_row - the labels for each row
% lab_col - the labels for each column

function cm2tex(mat, tex, lab_row, lab_col)

[nRow, nCol] = size(mat);

fid = fopen(tex, 'wt');

fprintf(fid, '\\begin{table} \n');
fprintf(fid, '\\caption{TABLE NAME}');
fprintf(fid, '\n');

% print \begin{tabular{c c c c c ... }
ctrl_line = '\\begin{tabular}{c';
for i=1:nCol
    ctrl_line = [ctrl_line ' c '];
end
ctrl_line = [ctrl_line '} \n'];
fprintf(fid, ctrl_line);

% print double line
fprintf(fid, '\\hline \\hline');
fprintf(fid, '\n');

% print the first line, pa ta ka ...
first_line = '';
for j=1:nCol
    first_line = [first_line ' & \\textipa{' lab_col{j} '}'];
end
fprintf(fid, first_line); 
fprintf(fid, ' \\'); fprintf(fid, '\\'); % print '\\'  
fprintf(fid, '\n'); 

% print double line
fprintf(fid, '\\hline');
fprintf(fid, '\n');

% print the data lines
for i=1:nRow
    cur_line = ['\\textipa{' lab_row{i} '} '];
    for j=1:nCol
        if ~isnan(mat(i, j))
            cur_line = [cur_line, ' & ' num2str(round(mat(i,j)))];
        else
            cur_line = [cur_line, ' & ' ];            
        end
    end 
    fprintf(fid, cur_line);  
    fprintf(fid, ' \\'); fprintf(fid, '\\'); % print '\\'      
    fprintf(fid, '\n');     
end

fprintf(fid, '\\hline');
fprintf(fid, '\n');
fprintf(fid, '\\end{tabular} \n');
fprintf(fid, '\\end{table} \n');
fclose(fid);
