% This program break a band-pass signal into its envelope and the frequency
% component.
% Input: s - original speech
% Output: en - the envelope

function en = envelope(s,Fs)

% Half Wave Rectify
s1 = zeros(size(s));
p = find(s>0); s1(p)=s(p);

% Low Pass filter the signal
N = 501; Wc = 100; % length of the FIR filter and cut-off frequency 
b = fir1(N,Wc/Fs); % FIR Low-Pass filter with Wc = 50Hz
en = filter(b,1,s1);

% Compensate for the delay of the FIR Low-pass filter
delay = ceil(N/2);
en(1:end-(delay-1)) = en(delay:end);
en(end-(delay-1)+1:end) = en(end-(delay-1));



