% This program generates a tone signal for the calibration of the system.
% The objective is to get the electro-acoustic sensitivity scale factor so
% that given the dB SPL of the speech sound, we know what is the rms level
% of the electronic signal that we shall send out.
function tone = generate_tone(f, dur, fs)

nsamples = dur*fs; % number of samples for the tone signal

t = linspace(0, dur, nsamples);

tone = sin(2*pi*f*t)*(32767/32768);


