% this script read data from a text file that contains numbers followed by
% strings in the same row, the numbers are returned in a
% matrix while the string are saved in a cell structure.
%
% ncol_digit: the number of columns of digits
% ncol_string: the number of columns of strings following digits
% numbers: a matrix that contains all the digits
% strings: a cell that contains all the strings

function [numbers, strings] = pull_data(filename, ncol_digit, ncol_string)

fid = fopen(filename);

format = '%d ';
for i=1:ncol_digit-1
    format = [format '%d '];
end
for i=1:ncol_string
    format = [format '%s '];
end

numbers = NaN;
strings = NaN;

data = textscan(fid, [format '%*[^\n]']);

if length(data{1})<1
    disp('the txt file is empty!');
    return
end

numbers = NaN(length(data{1}), ncol_digit);
for i=1:ncol_digit
    numbers(:,i) = data{i};
end

strings = cell(length(data{ncol_digit+1}), ncol_string);
for i=1:ncol_string
    strings(:,i) = data{ncol_digit+i}; 
end


