function y = remove_dead_spots( signal, fs);

%fs = 16000;
interval = floor(fs/32);
h = ones(1, interval ) / sqrt(interval);
padsize = floor(interval/2);
rms = conv(h,signal.^2);

% now let's find the level of the sample that is greater than 99% of the samples
rms_sorted = sort(rms);
index_of_interest = floor( length(rms) * 0.95 );

% this will be the power of the sample which is bigger than 99% of all samples
signal_power = rms_sorted(index_of_interest);
threshold = 0.01;
on = abs(rms) > ( threshold * rms_sorted(index_of_interest) );

%y = signal(     find(     [     zeros(1,padsize)     on'     zeros(1, length(signal) - padsize - length(on) )     ]     )     );
on = on(padsize:length(on)-padsize);
if length(on) > length(signal)
	on = on(2:length(signal));
end
if length(on) < length(signal)
	on = [ 0 on ];
end

y = signal(on);
%plot([ zeros(1,padsize) signal' zeros(1,padsize) ])
%hold on 
%plot(on/10,'r')

